from django.views.decorators.csrf import csrf_exempt
from django.conf.urls import patterns, url
from django.contrib.auth.decorators import login_required
from views import *

urlpatterns = patterns('',
    url(r'^(?P<slug>[\w,-]+)/$', BaseAddresseDetailView.as_view(), name='base_adresse-view'),

    url(r'^(?P<slug>[\w,-]+)/search$', SearchView.as_view(), name='base_adresse-search'),
    url(r'^(?P<slug>[\w,-]+)/search/(?P<path>.*)$', SearchPathView.as_view(), name='base_adresse-path-search'),
    url(r'^(?P<slug>[\w,-]+)/reverse$', ReverseView.as_view(), name='base_adresse-reverse'),
)

management_urlpatterns = patterns('',
    url(r'^add$', BaseAddresseCreateView.as_view(), name='base_adresse-add'),
    url(r'^(?P<slug>[\w,-]+)/edit$', BaseAddresseUpdateView.as_view(), name='base_adresse-edit'),
    url(r'^(?P<slug>[\w,-]+)/delete$', BaseAddresseDeleteView.as_view(), name='base_adresse-delete'),
)
